import { ElementRef } from '@angular/core';
/**
 * @description A wrapper around the HTML 5 Drag API.
 */
export declare class DraggableDirective {
    private element;
    /**
     * @description Binds to arbitrary data to be passed via anjDroppable's onDrop event emitter.
     */
    anjDraggable: any;
    private controller;
    private dataFn;
    constructor(element: ElementRef);
    private getData();
}
